# If you can use either URI.parse from Ruby's standard library or
# an excellent Bob Aman's Addressable gem https://github.com/sporkmonger/addressable

module Regexifi
  module Url
    # Domain
    # DOMAIN = /\A([a-z0-9]+([\-\.]{1}[a-z0-9]+)*\.[a-z]{2,5}(([0-9]{1,5})?)?)\z/ix.freeze
    DOMAIN = /\A([[:alnum:]]+([\-\.]{1}[[:alnum:]]+)*\.[[:alpha:]]{2,}(([[:digit:]]{1,5})?)?)\z/ix.freeze

    # URL
    URL = %r{(\A\z)|(\A((http|https):\/\/)?[a-z0-9]+([\-\.]{1}[a-z0-9]+)*\.[a-z]{2,}(([0-9]{1,5})?\/.*)?\z)}ix.freeze
  end
end
